<?php

namespace Drupal\govuk_notify_views_backend\Plugin\views\filter;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\filter\FilterPluginBase;

/**
 * Simple filter to handle filtering GovUK messages by id.
 *
 * In Gov.UK talk an id is called a 'reference'.
 *
 * @ViewsFilter("govuk_notify_filter_id")
 */
class Id extends FilterPluginBase {

  /**
   * {@inheritdoc}
   */
  protected function valueForm(&$form, FormStateInterface $form_state) {

    $form['value'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Value'),
      '#default_value' => $this->value,
      '#description' => $this->t('Filter messages by their id'),
    ];

  }

}
