<?php

namespace Drupal\govuk_notify_views_backend\Plugin\views\filter;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\filter\FilterPluginBase;

/**
 * Simple filter to handle filtering GovUK messages by type.
 *
 * @ViewsFilter("govuk_notify_filter_type")
 */
class Type extends FilterPluginBase {

  /**
   * {@inheritdoc}
   */
  protected function valueForm(&$form, FormStateInterface $form_state) {

    $allowed_values = [
      'email',
      'sms',
      'letter',
    ];

    $options = ['0' => '-- select one --'];

    foreach ($allowed_values as $status) {
      $options[$status] = $status;
    }

    $form['value'] = [
      '#type' => 'select',
      '#title' => $this->t('Value'),
      '#options' => $options,
      '#default_value' => $this->value,
      '#description' => $this->t('Filter messages by their type'),
    ];

  }

}
